/*
 * Volleyball - video game similary to GNU Arcade Volleyball
 * Copyright (C) 2005, 2006 Hugo Ruscitti : hugoruscitti@gmail.com
 * web site: http://www.losersjuegos.com.ar
 * 
 * This file is part of Volleyball.
 *
 * Volleyball is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Volleyball is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

#ifndef _SELECT_DEMO_H
#define _SELECT_DEMO_H

#include "common.h"
#include "world.h"
#include "characters.h"
#include "game.h"

typedef struct select_demo_t
{
	World * world;
} Select_demo;

Select_demo * select_demo_init (World * world);
void select_demo_init_game (Select_demo * data);
void select_demo_update (Select_demo * data);
void select_demo_draw (Select_demo * data);
void select_demo_free (Select_demo * data);

#endif
